Re: [qubes-users] ubuntu template qubes 4.0

2020-06-10 Thread frederic . dreier
Hi,

Thank you again for the help. I run the ubuntu VM since then with no 
problems.

Just as info : I did not used the focal VM since it has no sound.

Regards,

Damien


Le lundi 1 juin 2020 01:50:34 UTC+2, unman a écrit :
>
> On Sun, May 31, 2020 at 09:14:27AM -0700, Damien Waber wrote: 
> > Thanks very much ! and than you for the link to prebuilt images. You 
> even 
> > have focal :-D 
> > 
> > 
> > 
> > Le dimanche 31 mai 2020 07:51:06 UTC-4, unman a ??crit : 
> > > 
> > > On Sat, May 30, 2020 at 12:06:16PM -0700, Damien Waber wrote: 
> > > > Hi, 
> > > > 
> > > > I tried to build an ubuntu template since it is required for one of 
> my 
> > > > courses. I followed several tutorials / posts on the internet but 
> all 
> > > > failed. Could anyone help me? 
> > > 
> > > There's a fix in the pipeline - in the meantime, go to 
> > > app-linux-pdf-converter/debian and edit `rules` - 
> > > On line 17, there's a typo - 
> > > Change qubes.pdf-converter to qubes-pdf-converter 
> > > 
> > > Now the build will work, albeit with warnings that I really should 
> fix. 
> > > 
> > > If you are short of time, you can always grab a pre-built template 
> from 
> > > https://qubes.3isec.org 
> > > 
> > 
>
> The PR has been merged, so a simple update on the sources will do. 
>
> I do have a focal template there - Made it for a client, but thought I'd 
> make it available. 
> It wont be available in qubes-builder until the debootstrap scripts are 
> updated to include focal. 
> If anyone's interested, I could provide a quick write-up on how to build 
> the focal template.. 
>
> unman 
>

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/977549cf-433d-4856-9ded-5eed2ea1db42o%40googlegroups.com.


Re: [qubes-users] ubuntu template qubes 4.0

2020-05-31 Thread Sven Semmler
On Sun, May 31, 2020 at 09:27:24PM -0500, Sven Semmler wrote:
> On Mon, Jun 01, 2020 at 12:50:30AM +0100, unman wrote:
> > If anyone's interested, I could provide a quick write-up on how to build
> > the focal template..
> 
> That being said, I would love to read your write-up for educational
> purposes. 

... meaning, I tried to this myself earlier and have failed each time.
So I'd itch to see how it's done right.

/Sven

-- 
 public key: https://www.svensemmler.org/0x8F541FB6.asc
fingerprint: D7CA F2DB 658D 89BC 08D6 A7AA DA6E 167B 8F54 1FB6

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/20200601023050.GB1070%40app-email-private.


Re: [qubes-users] ubuntu template qubes 4.0

2020-05-31 Thread Sven Semmler
On Mon, Jun 01, 2020 at 12:50:30AM +0100, unman wrote:
> If anyone's interested, I could provide a quick write-up on how to build
> the focal template..

Hi unman,

after our last conversation I switched all my templates to buster to
check if I tricked myself into thinking Ubuntu would somehow be easier.
You were right, there is really no difference to speak of. Somehow my
personal learning curve worked out in a way that I thought Ubuntu was
easier.

What I do like so much about Ubuntu in fact comes down to the Ambiance
theme, the Humanity icon set and the ubuntu font. I can copy these to
any Linux distro.

That being said, I would love to read your write-up for educational
purposes. 

/Sven

-- 
 public key: https://www.svensemmler.org/0x8F541FB6.asc
fingerprint: D7CA F2DB 658D 89BC 08D6 A7AA DA6E 167B 8F54 1FB6

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/20200601022724.GA1070%40app-email-private.


Re: [qubes-users] ubuntu template qubes 4.0

2020-05-31 Thread unman
On Sun, May 31, 2020 at 09:14:27AM -0700, Damien Waber wrote:
> Thanks very much ! and than you for the link to prebuilt images. You even 
> have focal :-D
> 
> 
> 
> Le dimanche 31 mai 2020 07:51:06 UTC-4, unman a ??crit :
> >
> > On Sat, May 30, 2020 at 12:06:16PM -0700, Damien Waber wrote: 
> > > Hi, 
> > > 
> > > I tried to build an ubuntu template since it is required for one of my 
> > > courses. I followed several tutorials / posts on the internet but all 
> > > failed. Could anyone help me? 
> >
> > There's a fix in the pipeline - in the meantime, go to 
> > app-linux-pdf-converter/debian and edit `rules` - 
> > On line 17, there's a typo - 
> > Change qubes.pdf-converter to qubes-pdf-converter 
> >
> > Now the build will work, albeit with warnings that I really should fix. 
> >
> > If you are short of time, you can always grab a pre-built template from 
> > https://qubes.3isec.org 
> >
> 

The PR has been merged, so a simple update on the sources will do.

I do have a focal template there - Made it for a client, but thought I'd
make it available.
It wont be available in qubes-builder until the debootstrap scripts are
updated to include focal.
If anyone's interested, I could provide a quick write-up on how to build
the focal template..

unman

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/20200531235030.GA13020%40thirdeyesecurity.org.


Re: [qubes-users] ubuntu template qubes 4.0

2020-05-31 Thread Damien Waber
Thanks very much ! and than you for the link to prebuilt images. You even 
have focal :-D



Le dimanche 31 mai 2020 07:51:06 UTC-4, unman a écrit :
>
> On Sat, May 30, 2020 at 12:06:16PM -0700, Damien Waber wrote: 
> > Hi, 
> > 
> > I tried to build an ubuntu template since it is required for one of my 
> > courses. I followed several tutorials / posts on the internet but all 
> > failed. Could anyone help me? 
>
> There's a fix in the pipeline - in the meantime, go to 
> app-linux-pdf-converter/debian and edit `rules` - 
> On line 17, there's a typo - 
> Change qubes.pdf-converter to qubes-pdf-converter 
>
> Now the build will work, albeit with warnings that I really should fix. 
>
> If you are short of time, you can always grab a pre-built template from 
> https://qubes.3isec.org 
>

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/698b6418-c4e0-48a8-be27-c5d67b00a4af%40googlegroups.com.


Re: [qubes-users] ubuntu template qubes 4.0

2020-05-31 Thread unman
On Sat, May 30, 2020 at 12:06:16PM -0700, Damien Waber wrote:
> Hi,
> 
> I tried to build an ubuntu template since it is required for one of my 
> courses. I followed several tutorials / posts on the internet but all 
> failed. Could anyone help me?

There's a fix in the pipeline - in the meantime, go to
app-linux-pdf-converter/debian and edit `rules` -
On line 17, there's a typo - 
Change qubes.pdf-converter to qubes-pdf-converter

Now the build will work, albeit with warnings that I really should fix.

If you are short of time, you can always grab a pre-built template from
https://qubes.3isec.org

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/20200531115101.GA10314%40thirdeyesecurity.org.


Re: [qubes-users] Ubuntu Template

2017-11-16 Thread Unman
On Thu, Nov 16, 2017 at 10:42:08AM +0100, rysiek wrote:
> Hye,
> 
> Dnia Tuesday, November 14, 2017 1:55:06 AM CET Unman pisze:
> > I've just put in a couple of PRs to allow building for Xenial in 4.0.
> 
> Are these the ones you're talking about?
> https://github.com/QubesOS/qubes-gui-agent-linux/pull/23
> https://github.com/QubesOS/qubes-core-agent-linux/commit/
> 54867b6eabed3a6dca0e932ff77f67aedfe43e03
> 
> The latter is merged, I believe, and the former I applied manually. However, 
> while building, now I get:
> 
> mkdir: cannot create directory ‘chroot-qubuntu’: File exists
> mount: mount point chroot-qubuntu/tmp/qubes-deb does not exist
> /home/qubes/qubes-builder/qubes-src/builder-debian/Makefile.qubuntu:275: 
> recipe for target 'update-repo-prepare' failed
> make[1]: *** [update-repo-prepare] Error 32
> Makefile:297: recipe for target 'template-local-xenial' failed
> make: *** [template-local-xenial] Error 1
> 
> Not sure where to dig now. 
> 
> More debug info below.

The error message is self explanatory.
Delete chroot-qubuntu and try to build again

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To post to this group, send email to qubes-users@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/20171116195424.e3odvc5e5ved7kek%40thirdeyesecurity.org.
For more options, visit https://groups.google.com/d/optout.


Re: [qubes-users] Ubuntu Template

2017-11-16 Thread rysiek
Hye,

Dnia Tuesday, November 14, 2017 1:55:06 AM CET Unman pisze:
> I've just put in a couple of PRs to allow building for Xenial in 4.0.

Are these the ones you're talking about?
https://github.com/QubesOS/qubes-gui-agent-linux/pull/23
https://github.com/QubesOS/qubes-core-agent-linux/commit/
54867b6eabed3a6dca0e932ff77f67aedfe43e03

The latter is merged, I believe, and the former I applied manually. However, 
while building, now I get:

mkdir: cannot create directory ‘chroot-qubuntu’: File exists
mount: mount point chroot-qubuntu/tmp/qubes-deb does not exist
/home/qubes/qubes-builder/qubes-src/builder-debian/Makefile.qubuntu:275: 
recipe for target 'update-repo-prepare' failed
make[1]: *** [update-repo-prepare] Error 32
Makefile:297: recipe for target 'template-local-xenial' failed
make: *** [template-local-xenial] Error 1

Not sure where to dig now. 

More debug info below.

-> Building meta-packages (debian) for xenial vm (logfile: build-logs/meta-
packages-vm-xenial.log)
╔══ DEBUG 
══
║ Repo Variables
╠───
║ SRC_DIR: qubes-src 
║ CHROOT_DIR:  /home/qubes/qubes-builder/chroot-xenial
║ CHROOT_REPO_DIR: chroot-qubuntu
║ CHROOT_DEBIAN_DIR:   /home/qubes/qubes-builder/chroot-xenial//
║ BUILDER_REPO_DIR:/home/qubes/qubes-builder/qubes-packages-mirror-repo/
xenial
╠───
║ Chroot Variables
╠───
║ DIST_BUILD_DIR:  /home/user
║ DIST_SRC:
║ DIST_SRC_DEBIAN_DIR: /
╠───
║ Build Variables
╠───
║ DEBIAN_PARSER:   /home/qubes/qubes-builder/qubes-src/builder-debian//
scripts/debian-parser
║ DEBIAN_PLUGIN_DIR:   /home/qubes/qubes-builder/qubes-src/builder-debian/
║ OUTPUT_DIR:  pkgs/xenial
║ PACKAGE_LIST:
║ DISTRIBUTION:qubuntu
║ DIST:xenial
║ DEBIANVERSION:   xenial
║ UPDATE_REPO: /home/qubes/qubes-builder/qubes-src/linux-template-
builder/pkgs-for-template/xenial
║ REPO_SUFFIX: 
║ DISTRIBUTION_CAP:Qubuntu
║ REPO_PROXY:  
║ APT_GET_OPTIONS: 
║ CHROOT_ENV:  BACKEND_VMM=xen 
╚═══
╔══ DEBUG 
══
║ Repo Variables
╠───
║ SRC_DIR: qubes-src
║ CHROOT_DIR:  /home/qubes/qubes-builder/chroot-xenial
║ CHROOT_REPO_DIR: chroot-qubuntu
║ CHROOT_DEBIAN_DIR:   /home/qubes/qubes-builder/chroot-xenial//debian-vm/
debian
║ BUILDER_REPO_DIR:/home/qubes/qubes-builder/qubes-packages-mirror-repo/
xenial
╠───
║ Chroot Variables
╠───
║ DIST_BUILD_DIR:  /home/user
║ DIST_SRC:
║ DIST_SRC_DEBIAN_DIR: /debian-vm/debian
╠───
║ Build Variables
╠───
║ DEBIAN_PARSER:   /home/qubes/qubes-builder/qubes-src/builder-debian//
scripts/debian-parser
║ DEBIAN_PLUGIN_DIR:   /home/qubes/qubes-builder/qubes-src/builder-debian/
║ OUTPUT_DIR:  pkgs/xenial
║ PACKAGE_LIST:debian-vm/debian
║ DISTRIBUTION:qubuntu   
║ DIST:xenial
║ DEBIANVERSION:   xenial
║ UPDATE_REPO: /home/qubes/qubes-builder/qubes-src/linux-template-
builder/pkgs-for-template/xenial
║ REPO_SUFFIX:
║ DISTRIBUTION_CAP:Qubuntu   
║ REPO_PROXY:
║ APT_GET_OPTIONS:
║ CHROOT_ENV:  BACKEND_VMM=xen
╚═══
mkdir: cannot create directory ‘chroot-qubuntu’: File exists
mount: mount point chroot-qubuntu/tmp/qubes-deb does not exist
/home/qubes/qubes-builder/qubes-src/builder-debian/Makefile.qubuntu:275: 
recipe for target 'update-repo-prepare' failed
make[1]: *** [update-repo-prepare] Error 32
Makefile:297: recipe for target 'template-local-xenial' failed
make: *** [template-local-xenial] Error 1


-- 
Pozdrawiam,
Michał "rysiek" Woźniak

Zmieniam klucz GPG :: http://rys.io/pl/147
GPG Key Transition :: http://rys.io/en/147

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To post to this group, send email to qubes-users@googlegroups.com.
To view this discussion on the web 

Re: [qubes-users] Ubuntu Template

2017-11-15 Thread rysiek
Dnia Tuesday, November 14, 2017 1:55:06 AM CET Unman pisze:
> I've just put in a couple of PRs to allow building for Xenial in 4.0.

Cool! Would you mind linking them here? I'd love to understand more about 
Qubes internals and that seems like a good place to start. :)

> If anyone wants to try Xenial in 4.0 there's a ready-built template at
> qubes.3isec.org/Templates

Woo! Thanks!

-- 
Pozdrawiam,
Michał "rysiek" Woźniak

Zmieniam klucz GPG :: http://rys.io/pl/147
GPG Key Transition :: http://rys.io/en/147

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To post to this group, send email to qubes-users@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/2053777.zbLx8grGH0%40lapuntu.
For more options, visit https://groups.google.com/d/optout.


signature.asc
Description: This is a digitally signed message part.


Re: [qubes-users] Ubuntu Template

2017-11-13 Thread Unman
On Sun, Nov 12, 2017 at 04:51:20PM +0100, rysiek wrote:
> Hey,
> 
> Dnia Saturday, October 14, 2017 11:30:16 PM CET Unman pisze:
> > Ubuntu template build hasnt yet been updated to 4.0
> 
> is there any movement on this? Is there any way I can jump into this and 
> help? 
> Any docs I should read to get me started along the way of fixing Ubuntu 
> templates for R4.0?
> 
> -- 
> Pozdrawiam,
> Michał "rysiek" Woźniak
> 

Hi

I've just put in a couple of PRs to allow building for Xenial in 4.0.

If anyone wants to try Xenial in 4.0 there's a ready-built template at
qubes.3isec.org/Templates

unman

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To post to this group, send email to qubes-users@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/20171114015506.dintedizlnqnn35b%40thirdeyesecurity.org.
For more options, visit https://groups.google.com/d/optout.


Re: [qubes-users] Ubuntu Template

2017-11-12 Thread rysiek
Hey,

Dnia Sunday, November 12, 2017 4:51:20 PM CET rysiek pisze:
> is there any movement on this? Is there any way I can jump into this and
> help? Any docs I should read to get me started along the way of fixing
> Ubuntu templates for R4.0?

got it to start building. For this I had to make some changes in:

 - debian/qubes-core-agent.install (from `qubes-core-agent-linux` repo)
 - debian/qubes-gui-agent.install  (from `qubes-gui-agent-linux` repo)

Diffs at the bottom.

Didn't make a PR since I have no idea what are the ramifications and potential 
consequences of these particular changes for the operation/security of built 
templates. I assume the files removed are important (otherwise they wouldn't 
have been there in the first place).

Now, during template build I got:
./create_template_list.sh: line 13: xenstore-read: command not found 

Not sure how serious it is; the template seems to have been built. Installing 
it, however, spits out an error:
trusty: qubes.PostInstall service failed
(full log below).

Running anything in a new AppVM based on this template fires it up for a few 
seconds, shows what I can only assume are boot messages (screenshot attached) 
and then the window disappears and nothing else happens.

Any pointers how to proceed with debugging and fixing the Ubuntu templates 
would be appreciated.



$ sudo yum install qubes-template-trusty-4.0.0-201711122203.noarch.rpm 
Redirecting to '/usr/bin/dnf install qubes-template-
trusty-4.0.0-201711122203.noarch.rpm' (see 'man yum2dnf')

Qubes OS Repository for Dom0 13 MB/s |  77 kB 00:00
Dependencies resolved.

 Package  Arch  Version   Repository   
Size

Installing:
 qubes-template-trustynoarch4.0.0-201711122203@commandline436 
M

Transaction Summary

Install  1 Package

Total size: 436 M
Installed size: 1.9 G
Is this ok [y/N]: y
Downloading Packages:
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Installing  : qubes-template-trusty-4.0.0-201711122203.noarch 

  
1/1 
trusty: Importing data
2621440+0 records in
2621440+0 records out
10737418240 bytes (11 GB, 10 GiB) copied, 30.3018 s, 354 MB/s
trusty: qubes.PostInstall service failed
  Verifying   : qubes-template-trusty-4.0.0-201711122203.noarch 
 
1/1 

Installed:
  qubes-template-trusty.noarch 4.0.0-201711122203   
 

Complete!


diff --git a/debian/qubes-core-agent.install b/debian/qubes-core-agent.install  


   
index 7c1b0c3..ea90569 100644   


   
--- a/debian/qubes-core-agent.install   


   
+++ b/debian/qubes-core-agent.install   


   
@@ -56,15 +56,12 @@ lib/systemd/system/NetworkManager-wait-online.service.d/
30_qubes.conf   

   
 lib/systemd/system/NetworkManager.service.d/30_qubes.conf  



lib/systemd/system/anacron-resume.service.d/30_qubes.conf   


  
 lib/systemd/system/anacron.service.d/30_qubes.conf 


   
-lib/systemd/system/avahi-daemon.service.d/30_qubes.conf

Re: [qubes-users] Ubuntu Template

2017-11-12 Thread rysiek
Hey,

Dnia Saturday, October 14, 2017 11:30:16 PM CET Unman pisze:
> Ubuntu template build hasnt yet been updated to 4.0

is there any movement on this? Is there any way I can jump into this and help? 
Any docs I should read to get me started along the way of fixing Ubuntu 
templates for R4.0?

-- 
Pozdrawiam,
Michał "rysiek" Woźniak

Zmieniam klucz GPG :: http://rys.io/pl/147
GPG Key Transition :: http://rys.io/en/147

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To post to this group, send email to qubes-users@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/2067280.OE9g9Sp3eV%40lapuntu.
For more options, visit https://groups.google.com/d/optout.


signature.asc
Description: This is a digitally signed message part.


Re: [qubes-users] Ubuntu Template

2017-10-15 Thread rysiek
Dnia Saturday, October 14, 2017 11:30:16 PM CEST Unman pisze:
> It's the same error resported by OP.
> Ubuntu template build hasnt yet been updated to 4.0

Ah, so it is. Any way I can help with debugging/testing/fixing this?

-- 
Pozdrawiam,
Michał "rysiek" Woźniak

Zmieniam klucz GPG :: http://rys.io/pl/147
GPG Key Transition :: http://rys.io/en/147

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To post to this group, send email to qubes-users@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/12069081.DriIOzV88N%40lapuntu.
For more options, visit https://groups.google.com/d/optout.


signature.asc
Description: This is a digitally signed message part.


Re: [qubes-users] Ubuntu Template

2017-10-14 Thread Unman
On Sat, Oct 14, 2017 at 10:06:01PM +0200, rysiek wrote:
> Hey all,
> 
> got the build environment up and running, tried building Ubuntu Xenial and 
> Zesty images, both failed with:
> 
>debian/rules override_dh_install
> make[1]: Entering directory '/home/user/qubes-src/core-agent-linux'
> dh_install --fail-missing
> dh_install: qubes-core-agent missing files: lib/systemd/system/avahi-
> daemon.service.d/30_qubes.conf
> dh_install: qubes-core-agent missing files: lib/systemd/system/
> exim4.service.d/30_qubes.conf
> dh_install: qubes-core-agent missing files: lib/systemd/system/netfilter-
> persistent.service.d/30_qubes.conf
> dh_install: usr/lib/python2.7/dist-packages/qubesxdg.pyc exists in debian/tmp 
> but is not installed to anywhere
> dh_install: usr/lib/python2.7/dist-packages/qubesxdg.pyo exists in debian/tmp 
> but is not installed to anywhere
> dh_install: missing files, aborting
> debian/rules:28: recipe for target 'override_dh_install' failed
> make[1]: *** [override_dh_install] Error 2
> make[1]: Leaving directory '/home/user/qubes-src/core-agent-linux'
> debian/rules:12: recipe for target 'binary' failed
> make: *** [binary] Error 2
> dpkg-buildpackage: error: fakeroot debian/rules binary gave error exit status 
> 2
> /home/qubes/qubes-builder/qubes-src/builder-debian/Makefile.qubuntu:200: 
> recipe for target 'dist-package' failed
> make[2]: *** [dist-package] Error 2
> 
> Using git://github.com/marmarek/qubes-builder.git master branch. What am I 
> missing?
> 
> -- 
> Pozdrawiam,
> Michał "rysiek" Woźniak
> 
> Zmieniam klucz GPG :: http://rys.io/pl/147
> GPG Key Transition :: http://rys.io/en/147
> 

It's the same error resported by OP.
Ubuntu template build hasnt yet been updated to 4.0

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To post to this group, send email to qubes-users@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/20171014223015.sltycr3hq2s7pali%40thirdeyesecurity.org.
For more options, visit https://groups.google.com/d/optout.


Re: [qubes-users] Ubuntu Template

2017-10-14 Thread rysiek
Hey all,

got the build environment up and running, tried building Ubuntu Xenial and 
Zesty images, both failed with:

   debian/rules override_dh_install
make[1]: Entering directory '/home/user/qubes-src/core-agent-linux'
dh_install --fail-missing
dh_install: qubes-core-agent missing files: lib/systemd/system/avahi-
daemon.service.d/30_qubes.conf
dh_install: qubes-core-agent missing files: lib/systemd/system/
exim4.service.d/30_qubes.conf
dh_install: qubes-core-agent missing files: lib/systemd/system/netfilter-
persistent.service.d/30_qubes.conf
dh_install: usr/lib/python2.7/dist-packages/qubesxdg.pyc exists in debian/tmp 
but is not installed to anywhere
dh_install: usr/lib/python2.7/dist-packages/qubesxdg.pyo exists in debian/tmp 
but is not installed to anywhere
dh_install: missing files, aborting
debian/rules:28: recipe for target 'override_dh_install' failed
make[1]: *** [override_dh_install] Error 2
make[1]: Leaving directory '/home/user/qubes-src/core-agent-linux'
debian/rules:12: recipe for target 'binary' failed
make: *** [binary] Error 2
dpkg-buildpackage: error: fakeroot debian/rules binary gave error exit status 
2
/home/qubes/qubes-builder/qubes-src/builder-debian/Makefile.qubuntu:200: 
recipe for target 'dist-package' failed
make[2]: *** [dist-package] Error 2

Using git://github.com/marmarek/qubes-builder.git master branch. What am I 
missing?

-- 
Pozdrawiam,
Michał "rysiek" Woźniak

Zmieniam klucz GPG :: http://rys.io/pl/147
GPG Key Transition :: http://rys.io/en/147

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To post to this group, send email to qubes-users@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/6060751.WfBia4mgdj%40lapuntu.
For more options, visit https://groups.google.com/d/optout.


signature.asc
Description: This is a digitally signed message part.


Re: [qubes-users] Ubuntu Template

2017-10-01 Thread rysiek
Dnia Sunday, October 1, 2017 4:03:43 PM CEST Unman pisze:
> On Sun, Oct 01, 2017 at 04:45:59AM -0700, Foppe de Haan wrote:
> > Just an fyi: building ubuntu templates in/for R4 isn't currently possible,
> > getting errors related to qubesxdg while building core-agent-linux-vm.
> Yes, I'm working on this. I'm traveliing just now but will finish off
> when I get home.

I have a build environment I was meaning to get back up to speed, if you need 
a tester, let me know!

-- 
Pozdrawiam,
Michał "rysiek" Woźniak

Zmieniam klucz GPG :: http://rys.io/pl/147
GPG Key Transition :: http://rys.io/en/147

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To post to this group, send email to qubes-users@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/1690704.oVrfNTYTF3%40lapuntu.
For more options, visit https://groups.google.com/d/optout.


signature.asc
Description: This is a digitally signed message part.


Re: [qubes-users] Ubuntu Template

2017-10-01 Thread Unman
On Sun, Oct 01, 2017 at 04:45:59AM -0700, Foppe de Haan wrote:
> Just an fyi: building ubuntu templates in/for R4 isn't currently possible, 
> getting errors related to qubesxdg while building core-agent-linux-vm.
> 

Yes, I'm working on this. I'm traveliing just now but will finish off
when I get home.

unman

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To post to this group, send email to qubes-users@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/20171001150343.mmlhbirqjxgofdyh%40thirdeyesecurity.org.
For more options, visit https://groups.google.com/d/optout.


Re: [qubes-users] Ubuntu Template

2017-10-01 Thread Foppe de Haan
Just an fyi: building ubuntu templates in/for R4 isn't currently possible, 
getting errors related to qubesxdg while building core-agent-linux-vm.

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To post to this group, send email to qubes-users@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/e421f59e-95c3-4cc5-8bd6-974cc0d1871d%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.


Re: [qubes-users] ubuntu template

2017-09-01 Thread Unman
On Tue, Aug 29, 2017 at 06:15:44AM -0700, kushal...@gmail.com wrote:
> On Wednesday, June 28, 2017 at 6:14:07 AM UTC+5:30, Unman wrote:
> > 
> > I think you need to work on your search skills :-) 
> > The same question was asked on this list 3 days ago.
> > The mount error arises because 'mount' isn't on the path - copy the
> > export PATH statement from template_debian/vars.sh to
> > template_qubuntu/vars.sh, and you should be good to go.
> > 
> > The build on master is crocked for the moment.
> > Note that the PRs are all merged to 3.2, and you can therefore build on
> > 3.2 without any problem. 
> > The simplest way to do this is to set RELEASE := 3.2 , and then 'make
> > switch-branch'.
> > 
> Can we build Trusty on a 4.0rc1 box now? Trying to figure out this
> mount related error from early morning. Less than 24 hours of Qubes
> experiene this side though.
> 
> 
> Kushal
> 

None of the Ubuntu builds work under 4 as yet.

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To post to this group, send email to qubes-users@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/20170901151516.z3afqym7hrt2h5gt%40thirdeyesecurity.org.
For more options, visit https://groups.google.com/d/optout.


Re: [qubes-users] ubuntu template

2017-08-29 Thread kushaldas
On Wednesday, June 28, 2017 at 6:14:07 AM UTC+5:30, Unman wrote:
> 
> I think you need to work on your search skills :-) 
> The same question was asked on this list 3 days ago.
> The mount error arises because 'mount' isn't on the path - copy the
> export PATH statement from template_debian/vars.sh to
> template_qubuntu/vars.sh, and you should be good to go.
> 
> The build on master is crocked for the moment.
> Note that the PRs are all merged to 3.2, and you can therefore build on
> 3.2 without any problem. 
> The simplest way to do this is to set RELEASE := 3.2 , and then 'make
> switch-branch'.
> 
Can we build Trusty on a 4.0rc1 box now? Trying to figure out this
mount related error from early morning. Less than 24 hours of Qubes
experiene this side though.


Kushal

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To post to this group, send email to qubes-users@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/8d1c9d1e-96ed-4aa0-9044-1d7f0680d022%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.


Re: [qubes-users] Ubuntu Template

2017-07-08 Thread Michael MENG
Thanks, i did "apt-get install ubuntu-desktop" and install all application, i 
found all application in shortcut, but still cant found the desktop like 
Windows.

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To post to this group, send email to qubes-users@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/f242e898-ca47-43f0-a427-b669c94bcfef%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.


Re: [qubes-users] Ubuntu Template

2017-07-08 Thread Unman
On Fri, Jul 07, 2017 at 08:42:46PM -0700, Michael MENG wrote:
> On Friday, June 30, 2017 at 6:59:25 AM UTC+8, Unman wrote:
> > On Wed, Jun 28, 2017 at 10:20:49PM -0700, Michael MENG wrote:
> > > Thank you so much for help, Unman, can you please give me step, i dont 
> > > know how to export PATH, because i am very new in linux and qubes. 
> > > 
> > The PR has been merged, so you just need to 'git pull' and 'make
> > get-sources' before you try another build.
> 
> yeah!!! Unman, Thank you so much, it's work, but do you know how to install 
> libre office to template? and how to show unbuntu desktop?
> 

Open a terminal in the Template.
Edit /etc/apt/sources.list (You can use emacs, vi or nano)
ADD Two lines:
deb http://archive.ubuntu.com xenial-security main universe multiverse 
restricted
deb http://archive.ubuntu.com xenial-updates main universe multiverse restricted
Close the file.
(I've just put in a PR to have these by default)

Then:
apt-get update
apt-get upgrade
apt-get install libreoffice

Alternatively, try using aptitude - it's a simple but very usable front
end to package management.
If you select libreoffice it will install all dependencies and all
office apps.
If you install ubuntu-desktop (apt-get install ubuntu-desktop), it will
install ALL the desktop applications, including libreoffice,
rhythmbox,nautilus etc etc. That's quite a bit - around 450 MB - but it
gives you a near complete Ubuntu desktop experience.

unman

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To post to this group, send email to qubes-users@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/20170708215808.knmfoycpalpbqhi7%40thirdeyesecurity.org.
For more options, visit https://groups.google.com/d/optout.


Re: [qubes-users] Ubuntu Template

2017-07-07 Thread Michael MENG
On Friday, June 30, 2017 at 6:59:25 AM UTC+8, Unman wrote:
> On Wed, Jun 28, 2017 at 10:20:49PM -0700, Michael MENG wrote:
> > Thank you so much for help, Unman, can you please give me step, i dont know 
> > how to export PATH, because i am very new in linux and qubes. 
> > 
> The PR has been merged, so you just need to 'git pull' and 'make
> get-sources' before you try another build.

yeah!!! Unman, Thank you so much, it's work, but do you know how to install 
libre office to template? and how to show unbuntu desktop?

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To post to this group, send email to qubes-users@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/809816bc-514e-4916-aad1-8d46654eca20%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.


Re: [qubes-users] Ubuntu Template

2017-06-29 Thread Unman
On Wed, Jun 28, 2017 at 10:20:49PM -0700, Michael MENG wrote:
> Thank you so much for help, Unman, can you please give me step, i dont know 
> how to export PATH, because i am very new in linux and qubes. 
> 
The PR has been merged, so you just need to 'git pull' and 'make
get-sources' before you try another build.

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To post to this group, send email to qubes-users@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/20170629225923.osp77ywczvxumw3h%40thirdeyesecurity.org.
For more options, visit https://groups.google.com/d/optout.


Re: [qubes-users] Ubuntu Template

2017-06-28 Thread Michael MENG
Thank you so much for help, Unman, can you please give me step, i dont know how 
to export PATH, because i am very new in linux and qubes. 

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To post to this group, send email to qubes-users@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/23edd4ea-32da-4a90-b4c3-f2abe07b3d8b%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.


Re: [qubes-users] ubuntu template

2017-06-27 Thread Unman
On Tue, Jun 27, 2017 at 06:03:28PM -0700, Ken J wrote:
> Hi Unman,
> 
> That might be the case more times than not (working on my search
> skills) :) I want to start by thanking you for your work. Amazing
> 
> I was a bit confused throughout this process because had the ./setup
> telling me to make install-deps, make get-sources, make qubes-vm, make
> template. I've got https://www.qubes-os.org/doc/qubes-builder/ telling me
> something different. Then there's
> https://www.qubes-os.org/doc/templates/ubuntu/ telling don't worry it's
> easy with no instruction. Then there is this thread telling me if I have an
> issue please bump to master and try something else. My build fails and like
> the poor sap that I am I have no idea if it's me, my setup, qubes, or
> trump.
> 
> Maybe I'm using all of the wrong search terms, qubes + ubuntu + debootstrap
> + mount, no clue what the answer is all I got that looked remotely close to
> my search was this thread.
> 
> On Tue, Jun 27, 2017 at 5:54 PM, Unman  wrote:
> 
> > On Wed, Jun 28, 2017 at 01:44:03AM +0100, Unman wrote:
> > > On Tue, Jun 27, 2017 at 08:29:24AM -0700, kennethjohns...@gmail.com
> > wrote:
> > > > On Friday, March 3, 2017 at 7:07:07 AM UTC-8, Unman wrote:
> > > > > > As soon as the PRs are merged I'll post to the list, and you can
> > try it
> > > > > > then. (Or you could merge them yourself of course, and try the
> > build.)
> > > > > > Testing and feedback would be much appreciated.
> > > > > >
> > > > > > I've been using Xenial for a while and it seems fine.
> > > > >
> > > > > PRs are merged, to master if nor 3.2
> > > > >
> > > > > This means that both Xenial and Trusty should build straight.
> > > > >
> > > > > Set up a build environment as per docs.
> > > > >
> > > > > git clone  https://github.com/QubesOS/qubes-builder
> > > > > cd qubes-builder
> > > > > ./setup (select builder-debian and trsut/xenial variants, deselect
> > > > > fed23)
> > > > > edit builder.conf, changing RELEASE:=3.2 to RELEASE:=master
> > > > > make switch-branch (to get latest and greatest versions of
> > components)
> > > > > make qubes-vm
> > > > > make template
> > > > >
> > > > > cheers
> > > > >
> > > > > unman
> > > >
> > > > Is this still usable today? I switched the branch to master and I went
> > from having a failure in debootstrap at the make template stage to a
> > failure at the make qubes-vm stage.
> > > >
> > > > To be clear the debootstrap.log was showing an entry "chroot: failed
> > to run command 'mount': No such file or directory" where I could see mount
> > was in the /bin dir when I mounted and checked.
> > > >
> > > > This issue in make qubes-vm appears to happen because core-agent-linux
> > cannot find files.
> > > > ...
> > > > make[1]: Entering directory `/home/user/qubes-src/core-agent-linux'
> > > > dh_install --fail-missing
> > > > cp: cannot stat 
> > > > 'debian/tmp/lib/systemd/system/avahi-daemon.service.d/30_qubes.conf':
> > No such file or directory
> > > > dh_install: cp -a debian/tmp/lib/systemd/system/
> > avahi-daemon.service.d/30_qubes.conf debian/qubes-core-agent//lib/
> > systemd/system/avahi-daemon.service.d/ returned exit code 1
> > > > make[1]: *** [override_dh_install] Error 2
> > > > make[1]: Leaving directory `/home/user/qubes-src/core-agent-linux'
> > > > ...
> > > >
> > > > One thing I tried doing in an prior run was git checkout v3.2.18 as
> > per https://github.com/QubesOS/qubes-core-agent-linux/releases/tag/v3.2.18
> > running on a hunch that the 4.0 code is messing with something which did
> > indeed work and it continued on. v3.2.18 is the last v3 release you guys
> > have. But shortly after it failed in another module. I followed the same
> > steps, checked out a v3 version and it continued on. did that I think one
> > more time and make qubes-vm finishes.
> > > >
> > > > Now I run make template and fails in debootstrap same as initially.
> > > >
> > > > Is there an Ubuntu guide out there that is relevant and works? I have
> > been scouring the web for 3 days now trying to get a trusty and xenial
> > template built.
> > >
> > > I think you need to work on your search skills :-)
> > > The same question was asked on this list 3 days ago.
> > > The mount error arises because 'mount' isn't on the path - copy the
> > > export PATH statement from template_debian/vars.sh to
> > > template_qubuntu/vars.sh, and you should be good to go.
> > >
> > > The build on master is crocked for the moment.
> > > Note that the PRs are all merged to 3.2, and you can therefore build on
> > > 3.2 without any problem.
> > > The simplest way to do this is to set RELEASE := 3.2 , and then 'make
> > > switch-branch'.
> > >
> > > There's really no need for a special Ubuntu guide - the standard
> > > instructions for using qubes-builder in
> > > www.qubes-os.org/doc/qubes-builder explain the basics.
> > > Obviously if you just want to build a template, then 'make qubes-vm' and
> > > 'make template' suffice.
> > 

Re: [qubes-users] ubuntu template

2017-06-27 Thread Ken J
Hi Unman,

That might be the case more times than not (working on my search
skills) :) I want to start by thanking you for your work. Amazing

I was a bit confused throughout this process because had the ./setup
telling me to make install-deps, make get-sources, make qubes-vm, make
template. I've got https://www.qubes-os.org/doc/qubes-builder/ telling me
something different. Then there's
https://www.qubes-os.org/doc/templates/ubuntu/ telling don't worry it's
easy with no instruction. Then there is this thread telling me if I have an
issue please bump to master and try something else. My build fails and like
the poor sap that I am I have no idea if it's me, my setup, qubes, or
trump.

Maybe I'm using all of the wrong search terms, qubes + ubuntu + debootstrap
+ mount, no clue what the answer is all I got that looked remotely close to
my search was this thread.

On Tue, Jun 27, 2017 at 5:54 PM, Unman  wrote:

> On Wed, Jun 28, 2017 at 01:44:03AM +0100, Unman wrote:
> > On Tue, Jun 27, 2017 at 08:29:24AM -0700, kennethjohns...@gmail.com
> wrote:
> > > On Friday, March 3, 2017 at 7:07:07 AM UTC-8, Unman wrote:
> > > > > As soon as the PRs are merged I'll post to the list, and you can
> try it
> > > > > then. (Or you could merge them yourself of course, and try the
> build.)
> > > > > Testing and feedback would be much appreciated.
> > > > >
> > > > > I've been using Xenial for a while and it seems fine.
> > > >
> > > > PRs are merged, to master if nor 3.2
> > > >
> > > > This means that both Xenial and Trusty should build straight.
> > > >
> > > > Set up a build environment as per docs.
> > > >
> > > > git clone  https://github.com/QubesOS/qubes-builder
> > > > cd qubes-builder
> > > > ./setup (select builder-debian and trsut/xenial variants, deselect
> > > > fed23)
> > > > edit builder.conf, changing RELEASE:=3.2 to RELEASE:=master
> > > > make switch-branch (to get latest and greatest versions of
> components)
> > > > make qubes-vm
> > > > make template
> > > >
> > > > cheers
> > > >
> > > > unman
> > >
> > > Is this still usable today? I switched the branch to master and I went
> from having a failure in debootstrap at the make template stage to a
> failure at the make qubes-vm stage.
> > >
> > > To be clear the debootstrap.log was showing an entry "chroot: failed
> to run command 'mount': No such file or directory" where I could see mount
> was in the /bin dir when I mounted and checked.
> > >
> > > This issue in make qubes-vm appears to happen because core-agent-linux
> cannot find files.
> > > ...
> > > make[1]: Entering directory `/home/user/qubes-src/core-agent-linux'
> > > dh_install --fail-missing
> > > cp: cannot stat 
> > > 'debian/tmp/lib/systemd/system/avahi-daemon.service.d/30_qubes.conf':
> No such file or directory
> > > dh_install: cp -a debian/tmp/lib/systemd/system/
> avahi-daemon.service.d/30_qubes.conf debian/qubes-core-agent//lib/
> systemd/system/avahi-daemon.service.d/ returned exit code 1
> > > make[1]: *** [override_dh_install] Error 2
> > > make[1]: Leaving directory `/home/user/qubes-src/core-agent-linux'
> > > ...
> > >
> > > One thing I tried doing in an prior run was git checkout v3.2.18 as
> per https://github.com/QubesOS/qubes-core-agent-linux/releases/tag/v3.2.18
> running on a hunch that the 4.0 code is messing with something which did
> indeed work and it continued on. v3.2.18 is the last v3 release you guys
> have. But shortly after it failed in another module. I followed the same
> steps, checked out a v3 version and it continued on. did that I think one
> more time and make qubes-vm finishes.
> > >
> > > Now I run make template and fails in debootstrap same as initially.
> > >
> > > Is there an Ubuntu guide out there that is relevant and works? I have
> been scouring the web for 3 days now trying to get a trusty and xenial
> template built.
> >
> > I think you need to work on your search skills :-)
> > The same question was asked on this list 3 days ago.
> > The mount error arises because 'mount' isn't on the path - copy the
> > export PATH statement from template_debian/vars.sh to
> > template_qubuntu/vars.sh, and you should be good to go.
> >
> > The build on master is crocked for the moment.
> > Note that the PRs are all merged to 3.2, and you can therefore build on
> > 3.2 without any problem.
> > The simplest way to do this is to set RELEASE := 3.2 , and then 'make
> > switch-branch'.
> >
> > There's really no need for a special Ubuntu guide - the standard
> > instructions for using qubes-builder in
> > www.qubes-os.org/doc/qubes-builder explain the basics.
> > Obviously if you just want to build a template, then 'make qubes-vm' and
> > 'make template' suffice.
> > Otherwise, there's the illustrated guide to building an Arch Template in
> > the docs.
> >
> > unman
> >
>
> And an update shows me you'd worked this out for yourself - good stuff.
>



-- 
Regards,
Ken B. Johnson

-- 
You received this message because you are 

Re: [qubes-users] ubuntu template

2017-06-27 Thread Unman
On Wed, Jun 28, 2017 at 01:44:03AM +0100, Unman wrote:
> On Tue, Jun 27, 2017 at 08:29:24AM -0700, kennethjohns...@gmail.com wrote:
> > On Friday, March 3, 2017 at 7:07:07 AM UTC-8, Unman wrote:
> > > > As soon as the PRs are merged I'll post to the list, and you can try it
> > > > then. (Or you could merge them yourself of course, and try the build.)
> > > > Testing and feedback would be much appreciated.
> > > > 
> > > > I've been using Xenial for a while and it seems fine.
> > > 
> > > PRs are merged, to master if nor 3.2
> > > 
> > > This means that both Xenial and Trusty should build straight.
> > > 
> > > Set up a build environment as per docs.
> > > 
> > > git clone  https://github.com/QubesOS/qubes-builder
> > > cd qubes-builder
> > > ./setup (select builder-debian and trsut/xenial variants, deselect
> > > fed23)
> > > edit builder.conf, changing RELEASE:=3.2 to RELEASE:=master
> > > make switch-branch (to get latest and greatest versions of components)
> > > make qubes-vm
> > > make template
> > > 
> > > cheers
> > > 
> > > unman
> > 
> > Is this still usable today? I switched the branch to master and I went from 
> > having a failure in debootstrap at the make template stage to a failure at 
> > the make qubes-vm stage. 
> > 
> > To be clear the debootstrap.log was showing an entry "chroot: failed to run 
> > command 'mount': No such file or directory" where I could see mount was in 
> > the /bin dir when I mounted and checked.
> > 
> > This issue in make qubes-vm appears to happen because core-agent-linux 
> > cannot find files.
> > ...
> > make[1]: Entering directory `/home/user/qubes-src/core-agent-linux'
> > dh_install --fail-missing
> > cp: cannot stat 
> > 'debian/tmp/lib/systemd/system/avahi-daemon.service.d/30_qubes.conf': No 
> > such file or directory
> > dh_install: cp -a 
> > debian/tmp/lib/systemd/system/avahi-daemon.service.d/30_qubes.conf 
> > debian/qubes-core-agent//lib/systemd/system/avahi-daemon.service.d/ 
> > returned exit code 1
> > make[1]: *** [override_dh_install] Error 2
> > make[1]: Leaving directory `/home/user/qubes-src/core-agent-linux'
> > ...
> > 
> > One thing I tried doing in an prior run was git checkout v3.2.18 as per 
> > https://github.com/QubesOS/qubes-core-agent-linux/releases/tag/v3.2.18 
> > running on a hunch that the 4.0 code is messing with something which did 
> > indeed work and it continued on. v3.2.18 is the last v3 release you guys 
> > have. But shortly after it failed in another module. I followed the same 
> > steps, checked out a v3 version and it continued on. did that I think one 
> > more time and make qubes-vm finishes. 
> > 
> > Now I run make template and fails in debootstrap same as initially. 
> > 
> > Is there an Ubuntu guide out there that is relevant and works? I have been 
> > scouring the web for 3 days now trying to get a trusty and xenial template 
> > built.
> 
> I think you need to work on your search skills :-) 
> The same question was asked on this list 3 days ago.
> The mount error arises because 'mount' isn't on the path - copy the
> export PATH statement from template_debian/vars.sh to
> template_qubuntu/vars.sh, and you should be good to go.
> 
> The build on master is crocked for the moment.
> Note that the PRs are all merged to 3.2, and you can therefore build on
> 3.2 without any problem. 
> The simplest way to do this is to set RELEASE := 3.2 , and then 'make
> switch-branch'.
> 
> There's really no need for a special Ubuntu guide - the standard
> instructions for using qubes-builder in
> www.qubes-os.org/doc/qubes-builder explain the basics.
> Obviously if you just want to build a template, then 'make qubes-vm' and
> 'make template' suffice.
> Otherwise, there's the illustrated guide to building an Arch Template in
> the docs.
> 
> unman
> 

And an update shows me you'd worked this out for yourself - good stuff.

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To post to this group, send email to qubes-users@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/20170628005430.d6vfoyxq24brwut7%40thirdeyesecurity.org.
For more options, visit https://groups.google.com/d/optout.


Re: [qubes-users] ubuntu template

2017-06-27 Thread Unman
On Tue, Jun 27, 2017 at 08:29:24AM -0700, kennethjohns...@gmail.com wrote:
> On Friday, March 3, 2017 at 7:07:07 AM UTC-8, Unman wrote:
> > > As soon as the PRs are merged I'll post to the list, and you can try it
> > > then. (Or you could merge them yourself of course, and try the build.)
> > > Testing and feedback would be much appreciated.
> > > 
> > > I've been using Xenial for a while and it seems fine.
> > 
> > PRs are merged, to master if nor 3.2
> > 
> > This means that both Xenial and Trusty should build straight.
> > 
> > Set up a build environment as per docs.
> > 
> > git clone  https://github.com/QubesOS/qubes-builder
> > cd qubes-builder
> > ./setup (select builder-debian and trsut/xenial variants, deselect
> > fed23)
> > edit builder.conf, changing RELEASE:=3.2 to RELEASE:=master
> > make switch-branch (to get latest and greatest versions of components)
> > make qubes-vm
> > make template
> > 
> > cheers
> > 
> > unman
> 
> Is this still usable today? I switched the branch to master and I went from 
> having a failure in debootstrap at the make template stage to a failure at 
> the make qubes-vm stage. 
> 
> To be clear the debootstrap.log was showing an entry "chroot: failed to run 
> command 'mount': No such file or directory" where I could see mount was in 
> the /bin dir when I mounted and checked.
> 
> This issue in make qubes-vm appears to happen because core-agent-linux cannot 
> find files.
> ...
> make[1]: Entering directory `/home/user/qubes-src/core-agent-linux'
> dh_install --fail-missing
> cp: cannot stat 
> 'debian/tmp/lib/systemd/system/avahi-daemon.service.d/30_qubes.conf': No such 
> file or directory
> dh_install: cp -a 
> debian/tmp/lib/systemd/system/avahi-daemon.service.d/30_qubes.conf 
> debian/qubes-core-agent//lib/systemd/system/avahi-daemon.service.d/ returned 
> exit code 1
> make[1]: *** [override_dh_install] Error 2
> make[1]: Leaving directory `/home/user/qubes-src/core-agent-linux'
> ...
> 
> One thing I tried doing in an prior run was git checkout v3.2.18 as per 
> https://github.com/QubesOS/qubes-core-agent-linux/releases/tag/v3.2.18 
> running on a hunch that the 4.0 code is messing with something which did 
> indeed work and it continued on. v3.2.18 is the last v3 release you guys 
> have. But shortly after it failed in another module. I followed the same 
> steps, checked out a v3 version and it continued on. did that I think one 
> more time and make qubes-vm finishes. 
> 
> Now I run make template and fails in debootstrap same as initially. 
> 
> Is there an Ubuntu guide out there that is relevant and works? I have been 
> scouring the web for 3 days now trying to get a trusty and xenial template 
> built.

I think you need to work on your search skills :-) 
The same question was asked on this list 3 days ago.
The mount error arises because 'mount' isn't on the path - copy the
export PATH statement from template_debian/vars.sh to
template_qubuntu/vars.sh, and you should be good to go.

The build on master is crocked for the moment.
Note that the PRs are all merged to 3.2, and you can therefore build on
3.2 without any problem. 
The simplest way to do this is to set RELEASE := 3.2 , and then 'make
switch-branch'.

There's really no need for a special Ubuntu guide - the standard
instructions for using qubes-builder in
www.qubes-os.org/doc/qubes-builder explain the basics.
Obviously if you just want to build a template, then 'make qubes-vm' and
'make template' suffice.
Otherwise, there's the illustrated guide to building an Arch Template in
the docs.

unman

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To post to this group, send email to qubes-users@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/20170628004403.2wyrhu2jjwb5htia%40thirdeyesecurity.org.
For more options, visit https://groups.google.com/d/optout.


Re: [qubes-users] ubuntu template

2017-06-27 Thread Ken J
Sorry to keep bombarding. But I figured the issue out. /proc wasn't being
mounted because debootstrap wasn't looking in /bin for it. It was looking
everywhere else (for some reason). /bin is not in the PATH.

This:
https://github.com/QubesOS/qubes-builder-debian/blob/master/template_debian/vars.sh#L11

Needs to be added here:
https://github.com/QubesOS/qubes-builder-debian/blob/master/template_qubuntu/vars.sh
as well.

This happens because I was using Fedora24 qube to build the template. I'm
assuming if I used a debian-8 vm this wouldn't have happened.

Just wanted to update for anyone having an issue with building ubuntu
templates. And also for anyone using Fedora to build a template.

P.S while writing this I was prepping a pull request. Found that unman is
too badass and fast. Already was on it!

On Tue, Jun 27, 2017 at 1:00 PM, Ken J  wrote:

> Some other notes to add. After doing some more debugging:
>
> #!/bin/bash
> sudo mount /home/user/qubes-builder/qubes-src/linux-template-
> builder/prepared_images/xenial.img /mnt/
>
>
> # mknod on each file and they already exist so they need to be deleted.
> Also possible that the
> # mount failure possible below causes everything to exit without properly
> cleaning up.
> # Files to delete
> sudo rm /mnt/dev/null
> sudo rm /mnt/dev/zero
> sudo rm /mnt/dev/full
> sudo rm /mnt/dev/random
> sudo rm /mnt/dev/urandom
> sudo rm /mnt/dev/tty
> sudo rm -rf /mnt/dev/pts/
> sudo rm -rf /mnt/dev/shm/
> sudo rm /mnt/dev/ptmx
>
> # [pid 17064] [7fac5cb258e7] symlink("/proc/self/fd",
> "/home/user/qubes-builder/qubes-src/linux-template-builder/mnt/dev/fd/fd")
> = -1 ENOENT (No such file or directory)
> #[pid 17064] [7fac5cb241f0] write(2, "ln: ", 4) = 4
> #[pid 17064] [7fac5cb241f0] write(2, "failed to create symbolic link
> '"..., 104) = 104
> #[pid 17064] [7fac5cb241f0] write(2, ": No such file or directory",
> 27) = 27
> #[pid 17064] [7fac5cb241f0] write(2, "\n", 1) = 1
> #[pid 17064] [7fac5cb340f7] lseek(0, 0, SEEK_CUR) = -1 ESPIPE (Illegal
> seek)
> #[pid 17064] [7fac5caa733b] close(0) = 0
> #[pid 17064] [7fac5caa733b] close(1) = 0
> #[pid 17064] [7fac5caa733b] close(2) = 0
> #[pid 17064] [7fac5caf9da8] exit_group(1) = ?
> #[pid 17064] [] +++ exited with 1 +++
>
> # Possibly proc wasn't properly mounted
>
> sudo umount /mnt
>
>
> I edited the builder-debian/template_debian/01_install_core.sh to add an
> strace -f -i to the debootstrap command @ line 47:
>
> COMPONENTS="" $DEBOOTSTRAP_PREFIX strace -i -f debootstrap \
> --arch=amd64 \
> --include="ncurses-term,locales,tasksel,$eatmydata_maybe" \
> --components=main \
> 
> --keyring="${SCRIPTSDIR}/../keys/${DIST}-${DISTRIBUTION}-archive-keyring.gpg"
> \
> "${DIST}" "${INSTALLDIR}" 
> "file://${INSTALLDIR}/${TMPDIR}/dummy-repo"
> 2>/tmp/fuck.txt && \
> return 0
>
>
>
> On Tue, Jun 27, 2017 at 8:29 AM,  wrote:
>
>> On Friday, March 3, 2017 at 7:07:07 AM UTC-8, Unman wrote:
>> > On Fri, Feb 10, 2017 at 11:15:18PM +, Unman wrote:
>> > > On Fri, Feb 10, 2017 at 10:04:54AM -0800, damien.wa...@gmail.com
>> wrote:
>> > > > Le jeudi 9 février 2017 12:41:42 UTC+1, Unman a écrit :
>> > > > > On Thu, Feb 09, 2017 at 02:37:36AM -0800, wrote:
>> > > > > > Hi,
>> > > > > >
>> > > > > > I am new into qubes (few months) and find it great. But I need
>> a distro with newer packages (debian jessie was fine until I ran in issues
>> with encfs compatibility).
>> > > > > >
>> > > > > > So I wanted to build an ubuntu template but I did not found
>> clear instructions.
>> > > > > >
>> > > > > > using https://github.com/QubesOS/qubes-builder and the setup
>> script, I do not get ubuntu to choose in the menu.
>> > > > > >
>> > > > > > On this forum, there is few posts about it but using privaze
>> repo.
>> > > > > >
>> > > > > > I really need help on this :-)
>> > > > > >
>> > > > > > Best regards,
>> > > > > >
>> > > > > > Damien
>> > > > > >
>> > > > >
>> > > > > Hi Damien,
>> > > > >
>> > > > > The Ubuntu builds are referenced in setup as Trusty and Xenial.
>> > > > >
>> > > > > I've just put in a series of Pull Requests that should allow
>> > > > > straightforward builds of both.
>> > > > > Wait a little while for them to be merged.
>> > > > >
>> > > > > It should then be a matter of:
>> > > > > git clone  https://github.com/QubesOS/qubes-builder
>> > > > > cd qubes-builder
>> > > > > ./setup
>> > > > > make qubes-vm
>> > > > > make template
>> > > > >
>> > > > > Copy generated Template to dom0 and install - there's a handy
>> script
>> > > > > provided to do this for you.
>> > > > >
>> > > > > I'll let you know when the PRs are merged. Focus at the moment is
>> on
>> > > > > the GSOC applications.
>> > > > >
>> > > > > unman
>> > > >
>> > > > Hi, thank you !
>> > > >
>> > > > Is there a way I may support you? maybe I can test it?
>> > > >
>> > > >
>> 

Re: [qubes-users] Ubuntu Template

2017-06-27 Thread Unman
On Sun, Jun 25, 2017 at 03:09:34PM +0100, Unman wrote:
> On Sun, Jun 25, 2017 at 04:31:15AM -0700, Michael MENG wrote:
> > 
> > I was trying to build the Ubuntu 16.04 Xenial+Desktop template
> > using qubes-builder with help from these instructions:
> > 
> > https://www.reddit.com/r/Qubes/comments/5vzg04/idiots_guide_to_installing_qbuntu_ubuntu_1604/
> > 
> > Everything was alright until the `make template` step where it would
> > fail on the following: 
> > 
> > makefile:294: recipe for target 'template-local-xenial+desktop' failed
> > 
> 
> Some of the recent commits have broken the Ubuntu builds.
> I'll provide patches soon.
> 
> unman

PR submitted - until it's merged just copy the PATH line from
/builder-debian/template_debian/vars.sh in to template_qubuntu/vars.sh:

unman

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To post to this group, send email to qubes-users@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/20170628000338.pkzbi2ywgfkkc562%40thirdeyesecurity.org.
For more options, visit https://groups.google.com/d/optout.


Re: [qubes-users] ubuntu template

2017-06-27 Thread Ken J
Some other notes to add. After doing some more debugging:

#!/bin/bash
sudo mount
/home/user/qubes-builder/qubes-src/linux-template-builder/prepared_images/xenial.img
/mnt/


# mknod on each file and they already exist so they need to be deleted.
Also possible that the
# mount failure possible below causes everything to exit without properly
cleaning up.
# Files to delete
sudo rm /mnt/dev/null
sudo rm /mnt/dev/zero
sudo rm /mnt/dev/full
sudo rm /mnt/dev/random
sudo rm /mnt/dev/urandom
sudo rm /mnt/dev/tty
sudo rm -rf /mnt/dev/pts/
sudo rm -rf /mnt/dev/shm/
sudo rm /mnt/dev/ptmx

# [pid 17064] [7fac5cb258e7] symlink("/proc/self/fd",
"/home/user/qubes-builder/qubes-src/linux-template-builder/mnt/dev/fd/fd")
= -1 ENOENT (No such file or directory)
#[pid 17064] [7fac5cb241f0] write(2, "ln: ", 4) = 4
#[pid 17064] [7fac5cb241f0] write(2, "failed to create symbolic link
'"..., 104) = 104
#[pid 17064] [7fac5cb241f0] write(2, ": No such file or directory", 27)
= 27
#[pid 17064] [7fac5cb241f0] write(2, "\n", 1) = 1
#[pid 17064] [7fac5cb340f7] lseek(0, 0, SEEK_CUR) = -1 ESPIPE (Illegal
seek)
#[pid 17064] [7fac5caa733b] close(0) = 0
#[pid 17064] [7fac5caa733b] close(1) = 0
#[pid 17064] [7fac5caa733b] close(2) = 0
#[pid 17064] [7fac5caf9da8] exit_group(1) = ?
#[pid 17064] [] +++ exited with 1 +++

# Possibly proc wasn't properly mounted

sudo umount /mnt


I edited the builder-debian/template_debian/01_install_core.sh to add an
strace -f -i to the debootstrap command @ line 47:

COMPONENTS="" $DEBOOTSTRAP_PREFIX strace -i -f debootstrap \
--arch=amd64 \
--include="ncurses-term,locales,tasksel,$eatmydata_maybe" \
--components=main \

--keyring="${SCRIPTSDIR}/../keys/${DIST}-${DISTRIBUTION}-archive-keyring.gpg"
\
"${DIST}" "${INSTALLDIR}"
"file://${INSTALLDIR}/${TMPDIR}/dummy-repo" 2>/tmp/fuck.txt && \
return 0



On Tue, Jun 27, 2017 at 8:29 AM,  wrote:

> On Friday, March 3, 2017 at 7:07:07 AM UTC-8, Unman wrote:
> > On Fri, Feb 10, 2017 at 11:15:18PM +, Unman wrote:
> > > On Fri, Feb 10, 2017 at 10:04:54AM -0800, damien.wa...@gmail.com
> wrote:
> > > > Le jeudi 9 février 2017 12:41:42 UTC+1, Unman a écrit :
> > > > > On Thu, Feb 09, 2017 at 02:37:36AM -0800, wrote:
> > > > > > Hi,
> > > > > >
> > > > > > I am new into qubes (few months) and find it great. But I need a
> distro with newer packages (debian jessie was fine until I ran in issues
> with encfs compatibility).
> > > > > >
> > > > > > So I wanted to build an ubuntu template but I did not found
> clear instructions.
> > > > > >
> > > > > > using https://github.com/QubesOS/qubes-builder and the setup
> script, I do not get ubuntu to choose in the menu.
> > > > > >
> > > > > > On this forum, there is few posts about it but using privaze
> repo.
> > > > > >
> > > > > > I really need help on this :-)
> > > > > >
> > > > > > Best regards,
> > > > > >
> > > > > > Damien
> > > > > >
> > > > >
> > > > > Hi Damien,
> > > > >
> > > > > The Ubuntu builds are referenced in setup as Trusty and Xenial.
> > > > >
> > > > > I've just put in a series of Pull Requests that should allow
> > > > > straightforward builds of both.
> > > > > Wait a little while for them to be merged.
> > > > >
> > > > > It should then be a matter of:
> > > > > git clone  https://github.com/QubesOS/qubes-builder
> > > > > cd qubes-builder
> > > > > ./setup
> > > > > make qubes-vm
> > > > > make template
> > > > >
> > > > > Copy generated Template to dom0 and install - there's a handy
> script
> > > > > provided to do this for you.
> > > > >
> > > > > I'll let you know when the PRs are merged. Focus at the moment is
> on
> > > > > the GSOC applications.
> > > > >
> > > > > unman
> > > >
> > > > Hi, thank you !
> > > >
> > > > Is there a way I may support you? maybe I can test it?
> > > >
> > > >
> > > > Best regards,
> > > >
> > > > Damien
> > > >
> > >
> > > As soon as the PRs are merged I'll post to the list, and you can try it
> > > then. (Or you could merge them yourself of course, and try the build.)
> > > Testing and feedback would be much appreciated.
> > >
> > > I've been using Xenial for a while and it seems fine.
> >
> > PRs are merged, to master if nor 3.2
> >
> > This means that both Xenial and Trusty should build straight.
> >
> > Set up a build environment as per docs.
> >
> > git clone  https://github.com/QubesOS/qubes-builder
> > cd qubes-builder
> > ./setup (select builder-debian and trsut/xenial variants, deselect
> > fed23)
> > edit builder.conf, changing RELEASE:=3.2 to RELEASE:=master
> > make switch-branch (to get latest and greatest versions of components)
> > make qubes-vm
> > make template
> >
> > cheers
> >
> > unman
>
> Is this still usable today? I switched the branch to master and I went
> from having a failure in debootstrap at the make template stage to a
> failure at the make qubes-vm stage.
>
> To be clear the 

Re: [qubes-users] ubuntu template

2017-06-27 Thread kennethjohnson6
On Friday, March 3, 2017 at 7:07:07 AM UTC-8, Unman wrote:
> On Fri, Feb 10, 2017 at 11:15:18PM +, Unman wrote:
> > On Fri, Feb 10, 2017 at 10:04:54AM -0800, damien.wa...@gmail.com wrote:
> > > Le jeudi 9 février 2017 12:41:42 UTC+1, Unman a écrit :
> > > > On Thu, Feb 09, 2017 at 02:37:36AM -0800, wrote:
> > > > > Hi,
> > > > > 
> > > > > I am new into qubes (few months) and find it great. But I need a 
> > > > > distro with newer packages (debian jessie was fine until I ran in 
> > > > > issues with encfs compatibility).
> > > > > 
> > > > > So I wanted to build an ubuntu template but I did not found clear 
> > > > > instructions.
> > > > > 
> > > > > using https://github.com/QubesOS/qubes-builder and the setup script, 
> > > > > I do not get ubuntu to choose in the menu.
> > > > > 
> > > > > On this forum, there is few posts about it but using privaze repo.
> > > > > 
> > > > > I really need help on this :-)
> > > > > 
> > > > > Best regards,
> > > > > 
> > > > > Damien
> > > > > 
> > > > 
> > > > Hi Damien,
> > > > 
> > > > The Ubuntu builds are referenced in setup as Trusty and Xenial.
> > > > 
> > > > I've just put in a series of Pull Requests that should allow
> > > > straightforward builds of both.
> > > > Wait a little while for them to be merged. 
> > > > 
> > > > It should then be a matter of:
> > > > git clone  https://github.com/QubesOS/qubes-builder
> > > > cd qubes-builder
> > > > ./setup
> > > > make qubes-vm
> > > > make template
> > > > 
> > > > Copy generated Template to dom0 and install - there's a handy script
> > > > provided to do this for you.
> > > > 
> > > > I'll let you know when the PRs are merged. Focus at the moment is on
> > > > the GSOC applications.
> > > > 
> > > > unman
> > > 
> > > Hi, thank you !
> > > 
> > > Is there a way I may support you? maybe I can test it?
> > > 
> > > 
> > > Best regards,
> > > 
> > > Damien
> > > 
> > 
> > As soon as the PRs are merged I'll post to the list, and you can try it
> > then. (Or you could merge them yourself of course, and try the build.)
> > Testing and feedback would be much appreciated.
> > 
> > I've been using Xenial for a while and it seems fine.
> 
> PRs are merged, to master if nor 3.2
> 
> This means that both Xenial and Trusty should build straight.
> 
> Set up a build environment as per docs.
> 
> git clone  https://github.com/QubesOS/qubes-builder
> cd qubes-builder
> ./setup (select builder-debian and trsut/xenial variants, deselect
> fed23)
> edit builder.conf, changing RELEASE:=3.2 to RELEASE:=master
> make switch-branch (to get latest and greatest versions of components)
> make qubes-vm
> make template
> 
> cheers
> 
> unman

Is this still usable today? I switched the branch to master and I went from 
having a failure in debootstrap at the make template stage to a failure at the 
make qubes-vm stage. 

To be clear the debootstrap.log was showing an entry "chroot: failed to run 
command 'mount': No such file or directory" where I could see mount was in the 
/bin dir when I mounted and checked.

This issue in make qubes-vm appears to happen because core-agent-linux cannot 
find files.
...
make[1]: Entering directory `/home/user/qubes-src/core-agent-linux'
dh_install --fail-missing
cp: cannot stat 
'debian/tmp/lib/systemd/system/avahi-daemon.service.d/30_qubes.conf': No such 
file or directory
dh_install: cp -a 
debian/tmp/lib/systemd/system/avahi-daemon.service.d/30_qubes.conf 
debian/qubes-core-agent//lib/systemd/system/avahi-daemon.service.d/ returned 
exit code 1
make[1]: *** [override_dh_install] Error 2
make[1]: Leaving directory `/home/user/qubes-src/core-agent-linux'
...

One thing I tried doing in an prior run was git checkout v3.2.18 as per 
https://github.com/QubesOS/qubes-core-agent-linux/releases/tag/v3.2.18 running 
on a hunch that the 4.0 code is messing with something which did indeed work 
and it continued on. v3.2.18 is the last v3 release you guys have. But shortly 
after it failed in another module. I followed the same steps, checked out a v3 
version and it continued on. did that I think one more time and make qubes-vm 
finishes. 

Now I run make template and fails in debootstrap same as initially. 

Is there an Ubuntu guide out there that is relevant and works? I have been 
scouring the web for 3 days now trying to get a trusty and xenial template 
built.

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To post to this group, send email to qubes-users@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/51fb134f-5177-485b-a7d9-d98e4497ac87%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.


Re: [qubes-users] Ubuntu Template

2017-06-25 Thread Unman
On Sun, Jun 25, 2017 at 04:31:15AM -0700, Michael MENG wrote:
> 
> I was trying to build the Ubuntu 16.04 Xenial+Desktop template
> using qubes-builder with help from these instructions:
> 
> https://www.reddit.com/r/Qubes/comments/5vzg04/idiots_guide_to_installing_qbuntu_ubuntu_1604/
> 
> Everything was alright until the `make template` step where it would
> fail on the following: 
> 
> makefile:294: recipe for target 'template-local-xenial+desktop' failed
> 

Some of the recent commits have broken the Ubuntu builds.
I'll provide patches soon.

unman

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To post to this group, send email to qubes-users@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/20170625140934.rtlpjnfytqhysxbc%40thirdeyesecurity.org.
For more options, visit https://groups.google.com/d/optout.


Re: [qubes-users] ubuntu template

2017-03-03 Thread Damien Waber
Thank you so much!

Le Fri, Mar 3, 2017 à 4:07 PM, Unman  a écrit :

> On Fri, Feb 10, 2017 at 11:15:18PM +, Unman wrote:
> > On Fri, Feb 10, 2017 at 10:04:54AM -0800, damien.wa...@gmail.com wrote:
> > > Le jeudi 9 février 2017 12:41:42 UTC+1, Unman a écrit :
> > > > On Thu, Feb 09, 2017 at 02:37:36AM -0800, wrote:
> > > > > Hi,
> > > > >
> > > > > I am new into qubes (few months) and find it great. But I need a
> distro with newer packages (debian jessie was fine until I ran in issues
> with encfs compatibility).
> > > > >
> > > > > So I wanted to build an ubuntu template but I did not found clear
> instructions.
> > > > >
> > > > > using https://github.com/QubesOS/qubes-builder and the setup
> script, I do not get ubuntu to choose in the menu.
> > > > >
> > > > > On this forum, there is few posts about it but using privaze repo.
> > > > >
> > > > > I really need help on this :-)
> > > > >
> > > > > Best regards,
> > > > >
> > > > > Damien
> > > > >
> > > >
> > > > Hi Damien,
> > > >
> > > > The Ubuntu builds are referenced in setup as Trusty and Xenial.
> > > >
> > > > I've just put in a series of Pull Requests that should allow
> > > > straightforward builds of both.
> > > > Wait a little while for them to be merged.
> > > >
> > > > It should then be a matter of:
> > > > git clone  https://github.com/QubesOS/qubes-builder
> > > > cd qubes-builder
> > > > ./setup
> > > > make qubes-vm
> > > > make template
> > > >
> > > > Copy generated Template to dom0 and install - there's a handy script
> > > > provided to do this for you.
> > > >
> > > > I'll let you know when the PRs are merged. Focus at the moment is on
> > > > the GSOC applications.
> > > >
> > > > unman
> > >
> > > Hi, thank you !
> > >
> > > Is there a way I may support you? maybe I can test it?
> > >
> > >
> > > Best regards,
> > >
> > > Damien
> > >
> >
> > As soon as the PRs are merged I'll post to the list, and you can try it
> > then. (Or you could merge them yourself of course, and try the build.)
> > Testing and feedback would be much appreciated.
> >
> > I've been using Xenial for a while and it seems fine.
>
> PRs are merged, to master if nor 3.2
>
> This means that both Xenial and Trusty should build straight.
>
> Set up a build environment as per docs.
>
> git clone  https://github.com/QubesOS/qubes-builder
> cd qubes-builder
> ./setup (select builder-debian and trsut/xenial variants, deselect
> fed23)
> edit builder.conf, changing RELEASE:=3.2 to RELEASE:=master
> make switch-branch (to get latest and greatest versions of components)
> make qubes-vm
> make template
>
> cheers
>
> unman
>

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To post to this group, send email to qubes-users@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/CAA5b1EsobC%3DZaY2ATw_-%3DZ1SpQdPKGAQJLoVXPGo6N0eoJj10g%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.


Re: [qubes-users] ubuntu template

2017-03-03 Thread Unman
On Fri, Feb 10, 2017 at 11:15:18PM +, Unman wrote:
> On Fri, Feb 10, 2017 at 10:04:54AM -0800, damien.wa...@gmail.com wrote:
> > Le jeudi 9 février 2017 12:41:42 UTC+1, Unman a écrit :
> > > On Thu, Feb 09, 2017 at 02:37:36AM -0800, wrote:
> > > > Hi,
> > > > 
> > > > I am new into qubes (few months) and find it great. But I need a distro 
> > > > with newer packages (debian jessie was fine until I ran in issues with 
> > > > encfs compatibility).
> > > > 
> > > > So I wanted to build an ubuntu template but I did not found clear 
> > > > instructions.
> > > > 
> > > > using https://github.com/QubesOS/qubes-builder and the setup script, I 
> > > > do not get ubuntu to choose in the menu.
> > > > 
> > > > On this forum, there is few posts about it but using privaze repo.
> > > > 
> > > > I really need help on this :-)
> > > > 
> > > > Best regards,
> > > > 
> > > > Damien
> > > > 
> > > 
> > > Hi Damien,
> > > 
> > > The Ubuntu builds are referenced in setup as Trusty and Xenial.
> > > 
> > > I've just put in a series of Pull Requests that should allow
> > > straightforward builds of both.
> > > Wait a little while for them to be merged. 
> > > 
> > > It should then be a matter of:
> > > git clone  https://github.com/QubesOS/qubes-builder
> > > cd qubes-builder
> > > ./setup
> > > make qubes-vm
> > > make template
> > > 
> > > Copy generated Template to dom0 and install - there's a handy script
> > > provided to do this for you.
> > > 
> > > I'll let you know when the PRs are merged. Focus at the moment is on
> > > the GSOC applications.
> > > 
> > > unman
> > 
> > Hi, thank you !
> > 
> > Is there a way I may support you? maybe I can test it?
> > 
> > 
> > Best regards,
> > 
> > Damien
> > 
> 
> As soon as the PRs are merged I'll post to the list, and you can try it
> then. (Or you could merge them yourself of course, and try the build.)
> Testing and feedback would be much appreciated.
> 
> I've been using Xenial for a while and it seems fine.

PRs are merged, to master if nor 3.2

This means that both Xenial and Trusty should build straight.

Set up a build environment as per docs.

git clone  https://github.com/QubesOS/qubes-builder
cd qubes-builder
./setup (select builder-debian and trsut/xenial variants, deselect
fed23)
edit builder.conf, changing RELEASE:=3.2 to RELEASE:=master
make switch-branch (to get latest and greatest versions of components)
make qubes-vm
make template

cheers

unman

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To post to this group, send email to qubes-users@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/20170303150706.GB2497%40thirdeyesecurity.org.
For more options, visit https://groups.google.com/d/optout.


Re: [qubes-users] ubuntu template

2017-02-10 Thread Unman
On Fri, Feb 10, 2017 at 10:04:54AM -0800, damien.wa...@gmail.com wrote:
> Le jeudi 9 février 2017 12:41:42 UTC+1, Unman a écrit :
> > On Thu, Feb 09, 2017 at 02:37:36AM -0800, wrote:
> > > Hi,
> > > 
> > > I am new into qubes (few months) and find it great. But I need a distro 
> > > with newer packages (debian jessie was fine until I ran in issues with 
> > > encfs compatibility).
> > > 
> > > So I wanted to build an ubuntu template but I did not found clear 
> > > instructions.
> > > 
> > > using https://github.com/QubesOS/qubes-builder and the setup script, I do 
> > > not get ubuntu to choose in the menu.
> > > 
> > > On this forum, there is few posts about it but using privaze repo.
> > > 
> > > I really need help on this :-)
> > > 
> > > Best regards,
> > > 
> > > Damien
> > > 
> > 
> > Hi Damien,
> > 
> > The Ubuntu builds are referenced in setup as Trusty and Xenial.
> > 
> > I've just put in a series of Pull Requests that should allow
> > straightforward builds of both.
> > Wait a little while for them to be merged. 
> > 
> > It should then be a matter of:
> > git clone  https://github.com/QubesOS/qubes-builder
> > cd qubes-builder
> > ./setup
> > make qubes-vm
> > make template
> > 
> > Copy generated Template to dom0 and install - there's a handy script
> > provided to do this for you.
> > 
> > I'll let you know when the PRs are merged. Focus at the moment is on
> > the GSOC applications.
> > 
> > unman
> 
> Hi, thank you !
> 
> Is there a way I may support you? maybe I can test it?
> 
> 
> Best regards,
> 
> Damien
> 

As soon as the PRs are merged I'll post to the list, and you can try it
then. (Or you could merge them yourself of course, and try the build.)
Testing and feedback would be much appreciated.

I've been using Xenial for a while and it seems fine.

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To post to this group, send email to qubes-users@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/20170210231518.GC9080%40thirdeyesecurity.org.
For more options, visit https://groups.google.com/d/optout.


Re: [qubes-users] ubuntu template

2017-02-10 Thread Unman
On Fri, Feb 10, 2017 at 01:46:02AM -0800, trul...@gmail.com wrote:
> четверг, 9 февраля 2017 г., 14:41:42 UTC+3 пользователь Unman написал:
> > On Thu, Feb 09, 2017 at 02:37:36AM -0800, damien.wa...@gmail.com wrote:
> > > Hi,
> > > 
> > > I am new into qubes (few months) and find it great. But I need a distro 
> > > with newer packages (debian jessie was fine until I ran in issues with 
> > > encfs compatibility).
> > > 
> > > So I wanted to build an ubuntu template but I did not found clear 
> > > instructions.
> > > 
> > > using https://github.com/QubesOS/qubes-builder and the setup script, I do 
> > > not get ubuntu to choose in the menu.
> > > 
> > > On this forum, there is few posts about it but using privaze repo.
> > > 
> > > I really need help on this :-)
> > > 
> > > Best regards,
> > > 
> > > Damien
> > > 
> > 
> > Hi Damien,
> > 
> > The Ubuntu builds are referenced in setup as Trusty and Xenial.
> > 
> > I've just put in a series of Pull Requests that should allow
> > straightforward builds of both.
> > Wait a little while for them to be merged. 
> > 
> > It should then be a matter of:
> > git clone  https://github.com/QubesOS/qubes-builder
> > cd qubes-builder
> > ./setup
> > make qubes-vm
> > make template
> > 
> > Copy generated Template to dom0 and install - there's a handy script
> > provided to do this for you.
> > 
> > I'll let you know when the PRs are merged. Focus at the moment is on
> > the GSOC applications.
> > 
> > unman
> 
> Unman can you make a template rpm Ubuntu and put it on
> 
> https://ftp.qubes-os.org/repo/yum/r3.2/templates-community/rpm/ ?:)
> 
> Trying qubes-builder with trusty, xenial, xenial-desktop and no success. 
> Everytime troubles with MAKE. 
> 
> qvm clone fedora-23 ubuntu
> grow to 25 GB, allow network
> yum install git createrepo rpm-build rpm-sign make python-sh rpmdevtools 
> rpm-sign dialog
> git clone  https://github.com/QubesOS/qubes-builder
> cd qubes-builder
> ./setup 
> 
> Choosing fedora23 and mgmt-salt, then Ubuntu Xenial. 
> 
> make get-sources
> make install-deps
> 
> And finally make qubes-vm can't build template
> 
> "Building packages not supported by any configured plugins"
> 
> It means that need to use debian-8 template for builder?
> 

If you read my email I specifically say that there are PRs to fix these
issues, and I will let you know when they are merged.
They aren't merged yet.

As for a pre-built template, as John points out, and as explained on
the relevant page in the docs, we can't do this because of Canonical's
policies.
This may change but for the moment, building your own template is the
only solution.

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To post to this group, send email to qubes-users@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/20170210231112.GB9080%40thirdeyesecurity.org.
For more options, visit https://groups.google.com/d/optout.


Re: [qubes-users] ubuntu template

2017-02-10 Thread Nick Darren


On 02/10/2017 09:46 AM, trul...@gmail.com wrote:
> четверг, 9 февраля 2017 г., 14:41:42 UTC+3 пользователь Unman написал:
>> On Thu, Feb 09, 2017 at 02:37:36AM -0800, damien.wa...@gmail.com wrote:
>>> Hi,
>>>
>>> I am new into qubes (few months) and find it great. But I need a distro 
>>> with newer packages (debian jessie was fine until I ran in issues with 
>>> encfs compatibility).
>>>
>>> So I wanted to build an ubuntu template but I did not found clear 
>>> instructions.
>>>
>>> using https://github.com/QubesOS/qubes-builder and the setup script, I do 
>>> not get ubuntu to choose in the menu.
>>>
>>> On this forum, there is few posts about it but using privaze repo.
>>>
>>> I really need help on this :-)
>>>
>>> Best regards,
>>>
>>> Damien
>>>
>> Hi Damien,
>>
>> The Ubuntu builds are referenced in setup as Trusty and Xenial.
>>
>> I've just put in a series of Pull Requests that should allow
>> straightforward builds of both.
>> Wait a little while for them to be merged. 
>>
>> It should then be a matter of:
>> git clone  https://github.com/QubesOS/qubes-builder
>> cd qubes-builder
>> ./setup
>> make qubes-vm
>> make template
>>
>> Copy generated Template to dom0 and install - there's a handy script
>> provided to do this for you.
>>
>> I'll let you know when the PRs are merged. Focus at the moment is on
>> the GSOC applications.
>>
>> unman
> Unman can you make a template rpm Ubuntu and put it on
>
> https://ftp.qubes-os.org/repo/yum/r3.2/templates-community/rpm/ ?:)
>
> Trying qubes-builder with trusty, xenial, xenial-desktop and no success. 
> Everytime troubles with MAKE. 
>
> qvm clone fedora-23 ubuntu
> grow to 25 GB, allow network
> yum install git createrepo rpm-build rpm-sign make python-sh rpmdevtools 
> rpm-sign dialog
> git clone  https://github.com/QubesOS/qubes-builder
> cd qubes-builder
> ./setup 
>
> Choosing fedora23 and mgmt-salt, then Ubuntu Xenial. 
>
> make get-sources
> make install-deps
>
> And finally make qubes-vm can't build template
>
> "Building packages not supported by any configured plugins"
>
> It means that need to use debian-8 template for builder?
>
Hi,

You need debian-builder instead of fedora in the first step of `setup`,
because ubuntu is based on debian. This is mandatory to build any
debian-based operating system.

To skip unnecessary setup to use only for making ubuntu template, first 
edit the ‘qubes-os-r3.2.conf’ (if you use r3.2 in this case) which is
found in /home/user/qubes-builder/example-configs. Use the text editor
of your choice.

Go to the first line containing ‘DISTS_VM ?= fc23’  Remove ‘fc23’ or
whatever is listed there leaving only ‘DISTS_VM ?=’. Then save the file
and close the text editor.

Run the 'setup' script located in ‘/home/user/qubes-builder/’ Make sure
you are in directory ‘qubes-builder’.

$ cd /home/user/qubes-builder/
$ ./setup

Deselect 'builder-fedora'
Select 'builder-debian'

On 'Template Distribution Selection':
Select xenial+desktop

Proceed others as per instructions.


To check build-logs in progress later you can use `tail -f` command in
between the *.log locations.

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To post to this group, send email to qubes-users@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/768a27ed-a609-f187-0485-a239bddfba11%40gmail.com.
For more options, visit https://groups.google.com/d/optout.


signature.asc
Description: OpenPGP digital signature


Re: [qubes-users] ubuntu template

2017-02-10 Thread damien . waber
Le jeudi 9 février 2017 12:41:42 UTC+1, Unman a écrit :
> On Thu, Feb 09, 2017 at 02:37:36AM -0800, wrote:
> > Hi,
> > 
> > I am new into qubes (few months) and find it great. But I need a distro 
> > with newer packages (debian jessie was fine until I ran in issues with 
> > encfs compatibility).
> > 
> > So I wanted to build an ubuntu template but I did not found clear 
> > instructions.
> > 
> > using https://github.com/QubesOS/qubes-builder and the setup script, I do 
> > not get ubuntu to choose in the menu.
> > 
> > On this forum, there is few posts about it but using privaze repo.
> > 
> > I really need help on this :-)
> > 
> > Best regards,
> > 
> > Damien
> > 
> 
> Hi Damien,
> 
> The Ubuntu builds are referenced in setup as Trusty and Xenial.
> 
> I've just put in a series of Pull Requests that should allow
> straightforward builds of both.
> Wait a little while for them to be merged. 
> 
> It should then be a matter of:
> git clone  https://github.com/QubesOS/qubes-builder
> cd qubes-builder
> ./setup
> make qubes-vm
> make template
> 
> Copy generated Template to dom0 and install - there's a handy script
> provided to do this for you.
> 
> I'll let you know when the PRs are merged. Focus at the moment is on
> the GSOC applications.
> 
> unman

Hi, thank you !

Is there a way I may support you? maybe I can test it?


Best regards,

Damien

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To post to this group, send email to qubes-users@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/e0e574d2-1700-44c4-aa51-2f221a218d5a%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.


Re: [qubes-users] ubuntu template

2017-02-10 Thread john.david.r.smith

Unman can you make a template rpm Ubuntu and put it on

https://ftp.qubes-os.org/repo/yum/r3.2/templates-community/rpm/ ?:)


i also would prefer this option, but it seems it is not possible due to legal 
issues.
see: https://www.qubes-os.org/doc/templates/ubuntu/

maybe we could convince canonical to allow this case, but somehow i doubt they 
will allow it.

--
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To post to this group, send email to qubes-users@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/45fa00a2-15b7-61e1-06ea-8469de3f0665%40openmailbox.org.
For more options, visit https://groups.google.com/d/optout.


Re: [qubes-users] ubuntu template

2017-02-10 Thread truleeeeeed
четверг, 9 февраля 2017 г., 14:41:42 UTC+3 пользователь Unman написал:
> On Thu, Feb 09, 2017 at 02:37:36AM -0800, damien.wa...@gmail.com wrote:
> > Hi,
> > 
> > I am new into qubes (few months) and find it great. But I need a distro 
> > with newer packages (debian jessie was fine until I ran in issues with 
> > encfs compatibility).
> > 
> > So I wanted to build an ubuntu template but I did not found clear 
> > instructions.
> > 
> > using https://github.com/QubesOS/qubes-builder and the setup script, I do 
> > not get ubuntu to choose in the menu.
> > 
> > On this forum, there is few posts about it but using privaze repo.
> > 
> > I really need help on this :-)
> > 
> > Best regards,
> > 
> > Damien
> > 
> 
> Hi Damien,
> 
> The Ubuntu builds are referenced in setup as Trusty and Xenial.
> 
> I've just put in a series of Pull Requests that should allow
> straightforward builds of both.
> Wait a little while for them to be merged. 
> 
> It should then be a matter of:
> git clone  https://github.com/QubesOS/qubes-builder
> cd qubes-builder
> ./setup
> make qubes-vm
> make template
> 
> Copy generated Template to dom0 and install - there's a handy script
> provided to do this for you.
> 
> I'll let you know when the PRs are merged. Focus at the moment is on
> the GSOC applications.
> 
> unman

Unman can you make a template rpm Ubuntu and put it on

https://ftp.qubes-os.org/repo/yum/r3.2/templates-community/rpm/ ?:)

Trying qubes-builder with trusty, xenial, xenial-desktop and no success. 
Everytime troubles with MAKE. 

qvm clone fedora-23 ubuntu
grow to 25 GB, allow network
yum install git createrepo rpm-build rpm-sign make python-sh rpmdevtools 
rpm-sign dialog
git clone  https://github.com/QubesOS/qubes-builder
cd qubes-builder
./setup 

Choosing fedora23 and mgmt-salt, then Ubuntu Xenial. 

make get-sources
make install-deps

And finally make qubes-vm can't build template

"Building packages not supported by any configured plugins"

It means that need to use debian-8 template for builder?

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To post to this group, send email to qubes-users@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/c607a586-8761-4cc2-bc17-543389a864ad%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.


Re: [qubes-users] ubuntu template

2017-02-09 Thread JW
Thank you very much! I've been fighting with Ubuntu install as well. 

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To post to this group, send email to qubes-users@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/d4af28bd-1918-4336-8fd9-5883aa69f11f%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.


Re: [qubes-users] ubuntu template

2017-02-09 Thread Unman
On Thu, Feb 09, 2017 at 02:37:36AM -0800, damien.wa...@gmail.com wrote:
> Hi,
> 
> I am new into qubes (few months) and find it great. But I need a distro with 
> newer packages (debian jessie was fine until I ran in issues with encfs 
> compatibility).
> 
> So I wanted to build an ubuntu template but I did not found clear 
> instructions.
> 
> using https://github.com/QubesOS/qubes-builder and the setup script, I do not 
> get ubuntu to choose in the menu.
> 
> On this forum, there is few posts about it but using privaze repo.
> 
> I really need help on this :-)
> 
> Best regards,
> 
> Damien
> 

Hi Damien,

The Ubuntu builds are referenced in setup as Trusty and Xenial.

I've just put in a series of Pull Requests that should allow
straightforward builds of both.
Wait a little while for them to be merged. 

It should then be a matter of:
git clone  https://github.com/QubesOS/qubes-builder
cd qubes-builder
./setup
make qubes-vm
make template

Copy generated Template to dom0 and install - there's a handy script
provided to do this for you.

I'll let you know when the PRs are merged. Focus at the moment is on
the GSOC applications.

unman

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To post to this group, send email to qubes-users@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/20170209114141.GB32081%40thirdeyesecurity.org.
For more options, visit https://groups.google.com/d/optout.